Subject: issue 111 (was RE: [Pana] same name space...)

From: Alper Yegin <[email-masked]>
Date: Wed, 25 Aug 2004 16:26:26 -0700

Issue 111 can be fixed by:

[1] Section 6.5:

> - remove the following sentense: "PANA proposes to use the same name
> space with [RFC3588].  For temporary allocation, PANA uses AVP type
> numbers starting from 1024."

[2] Section 6.5:

> - Renumber PANA AVP codes starting from 1.

[3] Section 6.4.1:

Remove

	Note that PANA messages have a different header format compared
to 
	Diameter.

That statement could be confusing, because nobody expects otherwise
anyways....

Alper

> 
> Yoshihiro Ohba
> 
> On Wed, Jul 28, 2004 at 07:59:26PM -0700, Alper Yegin wrote:
> > > > 6.5  AVPs in PANA
> > > >
> > > >    Some of the used AVPs are defined in this document and some
of
> > them
> > > >    are defined in other documents like [RFC3588].  PANA proposes
to
> > use
> > > >    the same name space with [RFC3588].  For temporary
allocation,
> > PANA
> > > >    uses AVP type numbers starting from 1024.
> > > >
> > > > I'm not sure what exactly using the same name space means here.
Does
> > it
> > > > mean what we should never use a DIAMETER AVP name as a PANA AVP
name
> > > > unless the specifics are exactly same as defined in RFC 3588?
> > >
> > > The paragraph is trying to indicate that PANA AVP code and
Diameter
> > > AVP code share the same code space.  For example, a Diameter AVP
of
> > > AVP code X and a PANA AVP of the same AVP code X point to the same
AVP
> > > definition (also implying that they use the same AVP name).  On
the
> > > other hand, I think PANA AVP Code can have its own code space as
we
> > > already do for PANA message types: If PANA AVP code X and Diameter
> > > AVP code Y has the same the definition in the AVP payload, then
the
> > > PANA speficiation can just indicate so.
> > >
> > > What do you think?
> >
> > Actually we are not using the same code space anymore. (why the
codes
> > are starting from 1024, I don't know...).
> >
> >    AVP Code
> >
> >       The AVP Code, combined with the Vendor-Id field, identifies
the
> >       attribute uniquely.  AVP numbers are allocated by IANA
[ianaweb].
> >       PANA uses its own address space for this field although some
of
> >       the AVP formats are borrowed from Diameter protocol [RFC3588].
> >
> > Alper
> >
> >

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana